QGIS Application - Bug report #13011
CRS not ok between switching between projects with different crs
2015-06-20 12:56 AM - Richard Duivenvoorde

Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Affected QGIS version:2.8.2 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 21087
Description

checking after an email of Paolo on the list:

https://lists.osgeo.org/pipermail/qgis-developer/2015-June/038236.html

Did some testing, and partly confirmed here, but hard to reproduce.

Sometimes the project crs is taken over (switching between a 28992 and 4326 project) and sometimes it stays 28992 then, and
sometimes it follows the right crs...

Would be good to have a more reproducable scenario, but starting with a fresh config (--configpath /tmp/foo) create a 4326 project, then
create a 28992 project, then go to 4326 again (via recent projects) the crs will stay 28992 there (as if there is no 4326 defined in the
project??)..

After this switching between those two projects will be ok.

BUT closing QGIS and then first open (via recent) 28992 and then 4326 the latter one will stay in 28992

Maybe has something to do with the fact that we switch between geographic and projected crses?

| also tested it without data (so 'empty’ project but selecting 4326 for one and 28992 for the second), but then it seems to go ok...

But as said it is not very clear when this happens...

Associated revisions

Revision fd4b38c5 - 2015-06-23 03:34 PM - Jiirgen Fischer

invalidate first crs on project load (fixes #13011)

Revision 4d1d2ffc - 2015-06-30 01:49 PM - Jiirgen Fischer

invalidate first crs on project load (fixes #13011)

(cherry picked from commit fd4b38c55a368d7a04888d785fc873ca86528150)

History

#1 - 2015-06-20 01:00 AM - Paolo Cavallini

Thanks Richard for testing. | can reproduce it by following the Training manual Processing exercises, loading one project after the other.
https://lists.osgeo.org/pipermail/qgis-developer/2015-June/038236.html

#2 - 2015-06-23 06:35 AM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"fd4b38c55a368d7a04888d785fc873ca86528150".
